#ifndef FGGL_GUI_WIDGETS_H
#define FGGL_GUI_WIDGETS_H

#include <fggl/gui/widget.hpp>

namespace fggl::gui {

	class Button : public Widget {
		public:
			Button();
			void render(gfx::Paint &paint) override;
		private:
			const std::string m_value;
	};

	class Label : public Widget {
		public:
			Label();
			void render(gfx::Paint &paint) override;
	};

	class TextField : public Widget {
		public:
			TextField();
			void render(gfx::Paint &paint) override;
	};

	class Toggle : public Widget {
		public:
			Toggle();
			void render(gfx::Paint &paint) override;
	};

}; //namespace fggl::gui

#endif
